## uncrustify 0.56

=== debian/changelog ===
uncrustify (0.56-2) unstable; urgency=low

  [ Fathi Boudra ]
  * Added patch to check for NULL to prevent a segmentation fault.
    (Closes: #580195)
  * Bumped Standards-Version to 3.9.0 (no changes needed).

 -- Johann Rudloff <cypheon@gmx.net>  Thu, 01 Jul 2010 20:34:01 +0300

uncrustify (0.56-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
    - bumped debhelper version to 7.4.15
    - fixed typo in long description.
  * debian/copyright:
    - added email author.
    - added myself.

 -- Johann Rudloff <cypheon@gmx.net>  Tue, 20 Apr 2010 13:08:29 +0300

uncrustify (0.55-1) unstable; urgency=low

  * New upstream release (Closes: #540817)

  [ Fathi Boudra ]
  * debian/patches/manpage_fix_hyphens.diff: removed - merged upstream
  * debian/compat: bumped to 7
  * debian/control:
    - bumped debhelper version to 7.4.13
    - bumped Standards-Version to 3.8.4 (no changes needed)
    - added ${misc:Depends}
  * debian/docs: updated
  * debian/rules: rewrited from scratch to use dh and enabled parallel build

 -- Johann Rudloff <cypheon@gmx.net>  Wed, 17 Feb 2010 09:18:41 +0100

uncrustify (0.52-1) unstable; urgency=low

  * New upstream release (closes: #526100)
  * debian/copyright: changed years and wording of copyright
  * debian/patches/manpage_fix_hyphens.diff: added patch to fix fixed hyphens
    used as minus signs in manpage
  * debian/rules: included usage of quilt
  * debian/control: added build dependency quilt
    bumped Standards-Version to 3.8.1 (no changes required)

 -- Johann Rudloff <cypheon@gmx.net>  Thu, 30 Apr 2009 11:32:27 +0200

uncrustify (0.48-1) unstable; urgency=low

  * New upstream release
  * debian/rules: removed CFLAGS settings (done by dpkg-buildpackage)

 -- Johann Rudloff <cypheon@gmx.net>  Tue, 22 Jul 2008 11:19:54 +0200

uncrustify (0.47-1) unstable; urgency=low

  * New upstream release (closes: #479372)
  * Bumped Standards-Version to 3.8.0 (no changes required)
  * removed debian/uncrustify.1, since upstream sources now include a
    manpage
  * debian/rules: removed call to dh_installman, manpage is installed by
    make install
  * debian/rules: removed unneeded call to dh_installdirs

 -- Johann Rudloff <cypheon@gmx.net>  Sun, 08 Jun 2008 10:09:53 +0200

uncrustify (0.44-1) unstable; urgency=low

  * New upstream release
  * debian/uncrustify.1: updated version number and date

 -- Johann Rudloff <cypheon@gmx.net>  Sun, 24 Feb 2008 09:13:49 +0100

uncrustify (0.43-1) unstable; urgency=low

  * New upstream release (closes: #461631)
  * Bumped Standards-Version to 3.7.3 (no changes required)
  * debian/copyright: updated years of copyright
  * debian/control: moved homepage address from description to a separate field
  * debian/uncrustify.1: updated year and month
  * debian/rules: copy update config.{sub,guess} into source tree in
    config.status target, remove them in clean target

 -- Johann Rudloff <cypheon@gmx.net>  Thu, 10 Jan 2008 15:37:19 +0100

uncrustify (0.41-1) unstable; urgency=low

  * New upstream release

 -- Johann Rudloff <cypheon@gmx.net>  Mon, 12 Nov 2007 21:22:25 +0100

uncrustify (0.40-1) unstable; urgency=low

  * New upstream release

 -- Johann Rudloff <cypheon@gmx.net>  Tue, 16 Oct 2007 21:26:13 +0200

uncrustify (0.39-1) unstable; urgency=low

  * New Upstream Version

 -- Johann Rudloff <cypheon@gmx.net>  Wed, 26 Sep 2007 23:50:30 +0200

uncrustify (0.38-1) unstable; urgency=low

  * New upstream release

 -- Johann Rudloff <cypheon@gmx.net>  Thu, 06 Sep 2007 22:52:16 +0200

uncrustify (0.37-1) unstable; urgency=low

  * New upstream release
  * debian/uncrustify.1: added new command line options
  * debian/uncrustify.1: changes in formatting and description

 -- Johann Rudloff <cypheon@gmx.net>  Sun, 19 Aug 2007 19:33:08 +0200

uncrustify (0.36-1) unstable; urgency=low

  * New upstream release (closes: #434938, #434939)

 -- Johann Rudloff <cypheon@gmx.net>  Tue, 07 Aug 2007 13:49:41 +0200

uncrustify (0.35-1) unstable; urgency=low

  * New upstream release

 -- Johann Rudloff <cypheon@gmx.net>  Sat, 21 Jul 2007 20:41:52 +0200

uncrustify (0.33-1) unstable; urgency=low

  * New upstream release (closes: #416469)
  * Added debian/watch file
  * debian/uncrustify.1: added new command line options
  * debian/uncrustify.1: removed leading colons
  * debian/copyright: updated years of copyright
  * debian/copyright: updated parts concerning cmpcfg.pl, since it
    now contains a proper license statement

 -- Johann Rudloff <cypheon@gmx.net>  Fri, 30 Mar 2007 20:51:27 +0200

uncrustify (0.30-1) unstable; urgency=low

  * Initial release

 -- Johann Rudloff <cypheon@gmx.net>  Sat, 25 Nov 2006 14:06:44 +0100
