=== debian/control ===
Source: uncrustify
Section: devel
Priority: optional
Maintainer: Johann Rudloff <cypheon@gmx.net>
Build-Depends: debhelper (>= 7.4.15), autotools-dev
Standards-Version: 3.9.0
Homepage: http://uncrustify.sourceforge.net/

Package: uncrustify
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C, C++, C#, D, Java and Pawn source code beautifier
 Uncrustify is a highly configurable source code formatter. It aligns
 preprocessor define's, assignments, arithmetics and is able to fix spacing
 between operators.
