## uncrustify 0.57

=== debian/changelog ===
uncrustify (0.57-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Removed patch to check for NULL - stolen upstream.
  * Bumped Standards-Version to 3.9.1 (no changes needed).

 -- Johann Rudloff <cypheon@gmx.net>  Mon, 21 Feb 2011 11:54:28 +0200
