=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Johann Rudloff <cypheon@gmx.net>
-Build-Depends: debhelper (>= 7.4.15), autotools-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 8.0.0), autotools-dev
+Standards-Version: 3.9.1
 Homepage: http://uncrustify.sourceforge.net/
 
 Package: uncrustify
