## uncrustify 0.59

=== debian/changelog ===
uncrustify (0.59-2) unstable; urgency=low

  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include.
    (Closes: #667404)

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 May 2012 15:40:46 +0300

uncrustify (0.59-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 12:49:32 +0200
