=== debian/watch ===
version=3
http://sf.net/uncrustify/ uncrustify-(.*)\.tgz
