## uncrustify 0.59+dfsg1

=== debian/changelog ===
uncrustify (0.59+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove non-free file (project-support.jpg). Closes: #753760

 -- Mathieu Malaterre <malat@debian.org>  Fri, 16 Jan 2015 16:52:15 +0100
