=== debian/control ===
Source: uncrustify
Section: devel
Priority: optional
Maintainer: Johann Rudloff <cypheon@gmx.net>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: autotools-dev, debhelper (>= 8)
Standards-Version: 3.9.3
Homepage: http://uncrustify.sourceforge.net/

Package: uncrustify
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C, C++, C#, D, Java and Pawn source code beautifier
 Uncrustify is a highly configurable source code formatter. It aligns
 preprocessor define's, assignments, arithmetics and is able to fix spacing
 between operators.
