=== debian/changelog ===
uncrustify (0.64+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.64
    (Closes:  #748787, #814193, #594210, #775517, #594206, #616708)
  * Remove non-free documentation/htdocs/project-support.jpg.
  * Imported debian dir from previous version.
  * Remove "debian/<q" file.
  * Remove fix-ftbfs-with-gcc-4.7.patch (Fixed upstream).
  * debian/control: Switch dependence from autotools to cmake.
  * debian/control, debian/compat: Set compatibility level to 9.
  * debian/rules: Remove legacy PRONY records.
  * debian/control: Change Homepage to github.
  * debian/watch: Update to github using current naming scheme.
  * debian/copyright: Add myself.
  * Install README.md and documentation dir into package's docs.
  * debian/rules: Remove tests results on clean.
  * debian/control: Set myself as maintainer. (Johann Rudloff is out of
    business, thanks a lot for all; Fathi Boudra acked this.)
  * Bump Standards-Version to 3.9.8 (no additional changes needed).
  * Add debian/TODO file.
  * debian/cotrol: Add link to collab-maint's git.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 03 Dec 2016 20:19:22 +0300
