=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: uncrustify
 Section: devel
 Priority: optional
-Maintainer: Johann Rudloff <cypheon@gmx.net>
+Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: autotools-dev, debhelper (>= 8)
-Standards-Version: 3.9.3
-Homepage: http://uncrustify.sourceforge.net/
+Build-Depends: debhelper (>= 9), cmake
+Standards-Version: 3.9.8
+Homepage: https://github.com/uncrustify/uncrustify
+Vcs-Git: git://anonscm.debian.org/collab-maint/uncrustify.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uncrustify.git;a=summary
 
 Package: uncrustify
 Architecture: any
