=== debian/changelog ===
uncrustify (0.65+git20170831+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.65+git20170831 (Closes: #867376)
  * Bump Standards-Version to 4.1.0 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 31 Aug 2017 20:25:06 +0300

uncrustify (0.65+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.65
  * debian/control: Add python-minimal to Build-Depends.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 04 Jul 2017 14:50:47 +0300
