=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), cmake, python-minimal
+Standards-Version: 4.1.0
 Homepage: https://github.com/uncrustify/uncrustify
 Vcs-Git: git://anonscm.debian.org/collab-maint/uncrustify.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uncrustify.git;a=summary
