## uncrustify 0.66.1%2Bdfsg1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,9 @@
   )
 endfunction()
 
-foreach(test_lang c-sharp c cpp d java pawn objective-c vala ecma)
+foreach(test_lang c-sharp c cpp d java pawn objective-c vala ecma imported)
+  # Create dependency on test file so CMake re-runs if changed
+  configure_file("${test_lang}.test" "${test_lang}.test" COPYONLY)
   file(READ "${test_lang}.test" content)
   string(REPLACE "\n" ";" lines "${content}")
   foreach(line ${lines})
@@ -28,7 +30,7 @@
     if(NOT "${first} " STREQUAL "# ")
       if("${line}" MATCHES "^([0-9]+)([!]?)[ ]+([^ ]+)[ ]+([^ ]+)$")
         set(test_number "${CMAKE_MATCH_1}")
-        set(test_name "${test_number}")
+        set(test_name "${test_lang}_${test_number}")
 
         set(test_config config/${CMAKE_MATCH_3})
         set(test_input input/${CMAKE_MATCH_4})
