## uncrustify 0.66.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,9 @@
     endif()
     unset(flag_var)
   endforeach()
+  if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers")
+  endif()
   unset(gcc_warning_flags)
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   add_definitions(-std=gnu++0x)
@@ -118,7 +121,7 @@
 #
 
 # FIXME: the version number should be automatically integrated
-set(CURRENT_VERSION "Uncrustify-0.65_f")
+set(CURRENT_VERSION "Uncrustify-0.66.1_f")
 
 option(NoGitVersionString "Do not use make_version.py and git to build a version string" OFF)
 if(NOT NoGitVersionString)
@@ -205,6 +208,7 @@
   src/unc_tools.cpp
   src/unicode.cpp
   src/universalindentgui.cpp
+  src/controlPSECount.cpp
   src/width.cpp
   src/align_stack.h
   src/args.h
@@ -228,6 +232,7 @@
   src/unc_ctype.h
   src/unc_text.h
   src/unc_tools.h
+  src/controlPSECount.h
 )
 
 if(CMAKE_VERSION VERSION_LESS 2.8.10)
