=== debian/changelog ===
uncrustify (0.66.1+dfsg1-1) unstable; urgency=medium

  * Add debian/gbp.conf.
  * New upstream version 0.66.1 Fixed FTBFS on some arches (Closes: #881249)
  * Bump Standards-Version to 4.1.2 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 17 Dec 2017 18:49:06 +0300

uncrustify (0.66+dfsg1-1) unstable; urgency=medium

  * debian/control: Remove Fathi Boudra <fabo@debian.org> from uploaders.
    (Closes: #879444.) Thanks for your job.
  * New upstream version 0.66
  * Bump Standards-Version to 4.1.1 (no additional changes needed).
  * debian/control: Add more languages to short description.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 08 Nov 2017 18:18:47 +0300
