=== debian/control ===
Source: uncrustify
Section: devel
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9), cmake, python-minimal
Standards-Version: 4.1.2
Homepage: https://github.com/uncrustify/uncrustify
Vcs-Git: git://anonscm.debian.org/collab-maint/uncrustify.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uncrustify.git;a=summary

Package: uncrustify
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C, C++, ObjectiveC, C#, D, Java, Pawn and VALA source code beautifier
 Uncrustify is a highly configurable source code formatter. It aligns
 preprocessor define's, assignments, arithmetics and is able to fix spacing
 between operators.
