=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 %:
 	dh $@ --parallel
 
-.PHONY: override_dh_auto_test
+override_dh_clean:
+	dh_clean
+	rm -rf tests/results
