=== debian/changelog ===
uncrustify (0.68.1+dfsg1-2) unstable; urgency=medium

  * Add d/patches/fix_parallel_test.patch: Fix test failure on parallel run.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 10 Dec 2018 02:36:22 +0300

uncrustify (0.68.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.68.1
  * d/control: Add python-all to Build-Depensds.
  * d/rules: Run all tests (now disabled by default by upstream).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 02 Dec 2018 16:19:42 +0300

uncrustify (0.67+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.67
  * debian/control: Move git to salsa.
  * Add docs-remove-remote-images.patch: Remove remote images from docs.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 18 Jun 2018 01:13:56 +0300
