## uncrustify 0.69.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,6 +55,8 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O1 -fno-omit-frame-pointer -fsanitize=${ENABLE_SANITIZER}")
 endif()
 
+#set(UNCRUSTIFY_SEPARATE_TESTS "True")
+
 include_directories(
   ${PROJECT_BINARY_DIR}/src
   ${PROJECT_SOURCE_DIR}/src
@@ -126,7 +128,7 @@
 #
 
 # FIXME: the version number should be automatically integrated
-set(CURRENT_VERSION "Uncrustify-0.68_f")
+set(CURRENT_VERSION "Uncrustify-0.69.0_f")
 
 find_package(PythonInterp REQUIRED)
 option(NoGitVersionString "Do not use make_version.py and git to build a version string" OFF)
@@ -216,12 +218,40 @@
   option_enum.cpp.in
 )
 
+py_gen(../etc/uncrustify.xml
+  make_katehl.py
+  ../etc/uncrustify.xml.in
+  options.h
+  option.h
+  token_enum.h
+)
+
 #
 # Uncrustify
 #
 set(uncrustify_sources
   src/align.cpp
+  src/align_add.cpp
+  src/align_assign.cpp
+  src/align_asm_colon.cpp
+  src/align_func_params.cpp
+  src/align_func_proto.cpp
+  src/align_init_brace.cpp
+  src/align_left_shift.cpp
+  src/align_log_al.cpp
+  src/align_nl_cont.cpp
+  src/align_oc_decl_colon.cpp
+  src/align_oc_msg_spec.cpp
+  src/align_oc_msg_colons.cpp
+  src/align_preprocessor.cpp
+  src/align_same_func_call_params.cpp
   src/align_stack.cpp
+  src/align_struct_initializers.cpp
+  src/align_tab_column.cpp
+  src/align_tools.cpp
+  src/align_trailing_comments.cpp
+  src/align_typedefs.cpp
+  src/align_var_def_brace.cpp
   src/args.cpp
   src/backup.cpp
   src/braces.cpp
@@ -233,6 +263,7 @@
   src/compat_win32.cpp
   src/detect.cpp
   src/enum_cleanup.cpp
+  src/flag_parens.cpp
   src/indent.cpp
   src/keywords.cpp
   src/lang_pawn.cpp
@@ -245,6 +276,7 @@
   src/options_for_QT.cpp
   src/output.cpp
   src/parens.cpp
+  src/quick_align_again.cpp
   src/frame_list.cpp
   src/ParseFrame.cpp
   src/punctuators.cpp
@@ -254,6 +286,7 @@
   src/tokenize.cpp
   src/tokenize_cleanup.cpp
   src/uncrustify.cpp
+  src/uncrustify_types.cpp
   src/unc_text.cpp
   src/unc_tools.cpp
   src/unicode.cpp
@@ -262,7 +295,28 @@
 )
 
 set(uncrustify_headers
+  src/align.h
+  src/align_add.h
+  src/align_assign.h
+  src/align_asm_colon.h
+  src/align_func_params.h
+  src/align_func_proto.h
+  src/align_init_brace.h
+  src/align_left_shift.h
+  src/align_log_al.h
+  src/align_nl_cont.h
+  src/align_oc_decl_colon.h
+  src/align_oc_msg_colons.h
+  src/align_oc_msg_spec.h
+  src/align_preprocessor.h
+  src/align_same_func_call_params.h
   src/align_stack.h
+  src/align_struct_initializers.h
+  src/align_tab_column.h
+  src/align_tools.h
+  src/align_trailing_comments.h
+  src/align_typedefs.h
+  src/align_var_def_brace.h
   src/args.h
   src/backup.h
   src/base_types.h
@@ -271,6 +325,7 @@
   src/chunk_list.h
   src/enum_cleanup.h
   src/enum_flags.h
+  src/flag_parens.h
   src/language_tools.h
   src/ListManager.h
   src/logger.h
@@ -283,6 +338,7 @@
   src/ParseFrame.h
   src/prototypes.h
   src/punctuators.h
+  src/quick_align_again.h
   src/symbols_table.h
   src/token_enum.h
   src/uncrustify_types.h
@@ -320,6 +376,13 @@
 configure_file(man/uncrustify.1.in uncrustify.1 @ONLY)
 
 #
+# Generate uncrustify.xml (katepart highlighting file)
+#
+add_custom_target(katehl
+  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/etc/uncrustify.xml
+)
+
+#
 # Tests
 #
 if(BUILD_TESTING)
