=== debian/changelog ===
uncrustify (0.69.0+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:10 +0100

uncrustify (0.69.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.69.0
  * Remove fix_parallel_test.patch: Fixed upstream.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 02 Jul 2019 19:00:32 +0300
