=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9), cmake, python-minimal
+Build-Depends: debhelper (>= 9), cmake, python-all
 Standards-Version: 4.1.2
 Homepage: https://github.com/uncrustify/uncrustify
-Vcs-Git: git://anonscm.debian.org/collab-maint/uncrustify.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uncrustify.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/uncrustify.git
+Vcs-Browser: https://salsa.debian.org/debian/uncrustify
 
 Package: uncrustify
 Architecture: any
