=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@ --parallel
 
+override_dh_auto_configure:
+	dh_auto_configure $@ -- -DUNCRUSTIFY_SEPARATE_TESTS=ON
+
 override_dh_clean:
 	dh_clean
 	rm -rf tests/results
